List branches
List all branches in a repository inside the sandbox.
List all branches in a repository inside the sandbox.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Path to the git repository.
branch_type?string
Whether to list local, remote, or all branches.
Value in
"local" | "remote" | "all"contains?string
Only include branches that contain the given commit SHA.
not_contains?string
Only include branches that do not contain the given commit SHA.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/branches" \ -H "Content-Type: application/json" \ -d '{ "path": "string" }'{ "output": "string", "exit_code": 0}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
